# ``twisted`.`application`.`internet`.`_DisconnectFactory``

class documentation

`class _DisconnectFactory: (source)`

View In Hierarchy

A `_DisconnectFactory` is a proxy for `IProtocolFactory` that catches `connectionLost` notifications and relays them.

Method | `__getattr__` | Undocumented
Method | `__init__` | Undocumented
Method | `__repr__` | Undocumented
Method | `buildProtocol` | Create a `_ReconnectingProtocolProxy` with the disconnect-notification callback we were called with.
Instance Variable | `_protocolDisconnected` | Undocumented
Instance Variable | `_protocolFactory` | Undocumented

def __getattr__(self, item): (source)

Undocumented

def __init__(self, protocolFactory, protocolDisconnected): (source)

Undocumented

def __repr__(self): (source)

Undocumented

Returns
`str` | Undocumented

def buildProtocol(self, addr): (source)
Create a `_ReconnectingProtocolProxy` with the disconnect-notification callback we were called with.

Parameters
addr | The address the connection is coming from.
Returns
a `_ReconnectingProtocolProxy` for a protocol produced by `self._protocolFactory`

_protocolDisconnected = (source)

Undocumented

_protocolFactory = (source)

Undocumented